Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[how-to] 3d hardware acc with ati open source driver.
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3 ... 23, 24, 25 ... 27, 28, 29  Next  
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 6108
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Sun Jan 30, 2011 9:56 pm    Post subject: Reply with quote

guys,

make sure you re-emerge

libdrm, mesa, xf86-video-ati and xorg-server

there have been significant changes concerning performance in the last hours :)
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.9.0
https://github.com/kernelOfTruth/pulseaudio-equalizer-ladspa

Hardcore Gentoo Linux user since 2004 :D
Back to top
View user's profile Send private message
DaggyStyle
Watchman
Watchman


Joined: 22 Mar 2006
Posts: 5339

PostPosted: Mon Jan 31, 2011 7:45 am    Post subject: Reply with quote

kernelOfTruth wrote:
guys,

make sure you re-emerge

libdrm, mesa, xf86-video-ati and xorg-server

there have been significant changes concerning performance in the last hours :)


what is the gain in going 9999 on xorg-server?
how stable is it?
_________________
Only two things are infinite, the universe and human stupidity and I'm not sure about the former - Albert Einstein
Back to top
View user's profile Send private message
Genewb
Apprentice
Apprentice


Joined: 09 Jan 2007
Posts: 165

PostPosted: Mon Jan 31, 2011 12:23 pm    Post subject: Reply with quote

DaggyStyle wrote:
kernelOfTruth wrote:
guys,

make sure you re-emerge

libdrm, mesa, xf86-video-ati and xorg-server

there have been significant changes concerning performance in the last hours :)


what is the gain in going 9999 on xorg-server?
how stable is it?

I can't say what the gain is, but I can anecdotally say that it's rock-solid. IIRC, there have been a myriad of performance improvements, some of which were made for the benefit of puny ARM machines but benefit all architectures, albeit less noticeably.

mesa on the other hand....
_________________
I don't give a darn about "experience", just functional copyleft software.
Back to top
View user's profile Send private message
Herring42
Guru
Guru


Joined: 10 Mar 2004
Posts: 373
Location: Buckinghamshire

PostPosted: Mon Jan 31, 2011 12:46 pm    Post subject: Reply with quote

Annoyingly:
Code:

git.eclass: can't update from git://anongit.freedesktop.org/git/xorg/xserver/xserver.


Grrr!
_________________
"The problem with quotes on the internet is that it is difficult
to determine whether or not they are genuine." -- Abraham Lincoln
Back to top
View user's profile Send private message
Genewb
Apprentice
Apprentice


Joined: 09 Jan 2007
Posts: 165

PostPosted: Mon Jan 31, 2011 1:20 pm    Post subject: Reply with quote

Herring42 wrote:
Annoyingly:
Code:

git.eclass: can't update from git://anongit.freedesktop.org/git/xorg/xserver/xserver.


Grrr!

By divine intervention, you have been blessed by a noodly appendage. :wink:
_________________
I don't give a darn about "experience", just functional copyleft software.
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 6108
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Mon Jan 31, 2011 1:54 pm    Post subject: Reply with quote

DaggyStyle wrote:
kernelOfTruth wrote:
guys,

make sure you re-emerge

libdrm, mesa, xf86-video-ati and xorg-server

there have been significant changes concerning performance in the last hours :)


what is the gain in going 9999 on xorg-server?
how stable is it?


besides libdrm, mesa and xf86-video-ati

I'm using the 1.9* provided version from the portage tree - so I can't say anything for the 9999 version

except maybe that you might need to re-compile a lot stuff from time to time due to ABI-breakage ;)
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.9.0
https://github.com/kernelOfTruth/pulseaudio-equalizer-ladspa

Hardcore Gentoo Linux user since 2004 :D
Back to top
View user's profile Send private message
pingufunkybeat
l33t
l33t


Joined: 01 Dec 2004
Posts: 610

PostPosted: Mon Jan 31, 2011 2:59 pm    Post subject: Reply with quote

I now get stable 60 fps (locked to refresh rate) on all maps in OpenArena at 1920x1080 on my low-end HD4550.

I'm really happy about that :)
Back to top
View user's profile Send private message
yellowhat
Guru
Guru


Joined: 10 Sep 2008
Posts: 500

PostPosted: Mon Jan 31, 2011 6:30 pm    Post subject: Reply with quote

Problem with x11-proto/xextproto-9999

Code:
 *   git.eclass: can't fetch from git://anongit.freedesktop.org/git/xorg/proto.

_________________
Gentoo Linux ~amd64, Kernel 4.5.3, Enermax 400W, Intel i7-3770, DDR3 8GB, Sapphire HD6870
Back to top
View user's profile Send private message
andrewthomas
Tux's lil' helper
Tux's lil' helper


Joined: 27 Apr 2010
Posts: 93

PostPosted: Mon Jan 31, 2011 7:29 pm    Post subject: Reply with quote

yellowhat wrote:
Problem with x11-proto/xextproto-9999

Code:
 *   git.eclass: can't fetch from git://anongit.freedesktop.org/git/xorg/proto.


You need to revert this commit.

https://git.overlays.gentoo.org/gitweb/?p=proj/x11.git;a=commitdiff;h=7dd15
Back to top
View user's profile Send private message
yellowhat
Guru
Guru


Joined: 10 Sep 2008
Posts: 500

PostPosted: Mon Jan 31, 2011 8:27 pm    Post subject: Reply with quote

Reverting that commit worked for x11-proto/randrproto and x11-proto/xextproto, but for x11-base/xorg-server I have to return to current commit
_________________
Gentoo Linux ~amd64, Kernel 4.5.3, Enermax 400W, Intel i7-3770, DDR3 8GB, Sapphire HD6870
Back to top
View user's profile Send private message
andrewthomas
Tux's lil' helper
Tux's lil' helper


Joined: 27 Apr 2010
Posts: 93

PostPosted: Mon Jan 31, 2011 9:13 pm    Post subject: Reply with quote

yellowhat wrote:
Reverting that commit worked for x11-proto/randrproto and x11-proto/xextproto, but for x11-base/xorg-server I have to return to current commit


It probably needs to check if ${MODULE}="xserver" in the patch.
Back to top
View user's profile Send private message
jasn
Guru
Guru


Joined: 05 May 2005
Posts: 439
Location: Maryland, US

PostPosted: Wed Feb 02, 2011 2:58 pm    Post subject: Reply with quote

kernelOfTruth wrote:
guys,

make sure you re-emerge

libdrm, mesa, xf86-video-ati and xorg-server

there have been significant changes concerning performance in the last hours :)

So I tried. As a matter of fact, I've been running the following live ebuilds from the x11 overlay;
Code:
x11-drivers/xf86-input-evdev-9999
x11-drivers/xf86-input-keyboard-9999
x11-drivers/xf86-input-mouse-9999
x11-drivers/xf86-input-synaptics-9999
x11-drivers/xf86-input-wacom-9999
x11-drivers/xf86-video-ati-9999

without issue, until updating my system yesterday, (including the overlays). Now when I try to emerge any of the x11-overlay, x11-drivers, live ebuilds, I'm greeted with a "The remote end hung up unexpectedly" message, for anongit.freedesktop.org. Here's the output for xf86-video-ati,
Code:
>>> Emerging (1 of 1) x11-drivers/xf86-video-ati-9999 from x11
 * Package:    x11-drivers/xf86-video-ati-9999
 * Repository: x11
 * USE:        amd64 elibc_glibc kernel_linux multilib userland_GNU
 * FEATURES:   preserve-libs sandbox
>>> Unpacking source...
 * GIT update -->
 *    repository:               git://anongit.freedesktop.org/git/xorg/driver
fatal: The remote end hung up unexpectedly
 * ERROR: x11-drivers/xf86-video-ati-9999 failed:
 *   git.eclass: can't update from git://anongit.freedesktop.org/git/xorg/driver.
 *
 * Call stack:
 *     ebuild.sh, line   56:  Called src_unpack
 *   environment, line 3755:  Called xorg-2_src_unpack
 *   environment, line 4588:  Called git_src_unpack
 *   environment, line 2831:  Called git_fetch
 *   environment, line 2778:  Called die
 * The specific snippet of code:
 *                   ${EGIT_UPDATE_CMD} ${EGIT_OPTIONS} origin ${EGIT_BRANCH}:${EGIT_BRANCH} || die "${EGIT}: can't update from ${EGIT_REPO_URI}.";
 *
 * If you need support, post the output of 'emerge --info =x11-drivers/xf86-video-ati-9999',
 * the complete build log and the output of 'emerge -pqv =x11-drivers/xf86-video-ati-9999'.
 * This ebuild used the following eclasses from overlays:
 *   /var/lib/layman/x11/eclass/xorg-2.eclass
 * This ebuild is from an overlay named 'x11': '/var/lib/layman/x11/'
 * The complete build log is located at '/var/log/portage/x11-drivers:xf86-video-ati-9999:20110202-144318.log'.
 * The ebuild environment file is located at '/tmp/portage/x11-drivers/xf86-video-ati-9999/temp/environment'.
 * S: '/tmp/portage/x11-drivers/xf86-video-ati-9999/work/xf86-video-ati-9999'

Interestingly enough my x11 overlay live ebuilds for;
Code:
x11-libs/libdrm-9999
media-libs/mesa-9999

updated and emerged fine after yesterday's sync. It's just the x11-drivers that are "hanging up". Any ideas?

Thanks..
Back to top
View user's profile Send private message
DaggyStyle
Watchman
Watchman


Joined: 22 Mar 2006
Posts: 5339

PostPosted: Wed Feb 02, 2011 5:36 pm    Post subject: Reply with quote

has anyone noticed this? https://forums.gentoo.org/viewtopic-t-862511-highlight-.html
_________________
Only two things are infinite, the universe and human stupidity and I'm not sure about the former - Albert Einstein
Back to top
View user's profile Send private message
Herring42
Guru
Guru


Joined: 10 Mar 2004
Posts: 373
Location: Buckinghamshire

PostPosted: Wed Feb 02, 2011 9:48 pm    Post subject: Reply with quote

Nope!
_________________
"The problem with quotes on the internet is that it is difficult
to determine whether or not they are genuine." -- Abraham Lincoln
Back to top
View user's profile Send private message
NForce
Tux's lil' helper
Tux's lil' helper


Joined: 07 Nov 2009
Posts: 79
Location: Kaunas, Lithuania

PostPosted: Thu Feb 03, 2011 3:58 pm    Post subject: Reply with quote

jasn wrote:
. It's just the x11-drivers that are "hanging up". Any ideas?

Thanks..

I've added this line:
EGIT_REPO_URI="git://anongit.freedesktop.org/git/xorg/driver/${PN}"
to the xf86-video-ati ebuild, now it's fine. Have to wait for a proper fix now
Back to top
View user's profile Send private message
mitofik
n00b
n00b


Joined: 30 Jan 2010
Posts: 7

PostPosted: Thu Feb 03, 2011 6:41 pm    Post subject: Reply with quote

so i finally could update xf86-video-ati thanks to this thread :D

and feeling confident i wanted to update xorg-server to git version but i get
Code:
 * ERROR: x11-base/xorg-server-9999 failed:
 *   /usr/lib64/portage/bin/ebuild-helpers/4/dodoc failed
 *
 * Call stack:
 *   dodoc, line 47:  Called die
 * The specific snippet of code:
 *   [[ $ret -ne 0 ]] && die "$0 failed"
Back to top
View user's profile Send private message
jasn
Guru
Guru


Joined: 05 May 2005
Posts: 439
Location: Maryland, US

PostPosted: Thu Feb 03, 2011 11:27 pm    Post subject: Reply with quote

NForce wrote:
I've added this line:
EGIT_REPO_URI="git://anongit.freedesktop.org/git/xorg/driver/${PN}"
to the xf86-video-ati ebuild, now it's fine. Have to wait for a proper fix now

Thanks NForce. That fixed not only the live ebuild of xf86-video-ati, but also fixed the live ebuilds of xf86-input-evdev, xf86-input-keyboard, xf86-input-mouse, and xf86-input-synaptics, as well. And now that I can reemerge xf86-video-ati, I can confirm what yellowhat and kernelOfTruth, (thanks as well), previously posted. I no longer need to specify the evergreen_accel branch, in order to enable the 3d acceleration.

Thanks again..


Last edited by jasn on Fri Feb 04, 2011 2:31 pm; edited 1 time in total
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 6108
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Fri Feb 04, 2011 1:20 pm    Post subject: Reply with quote

[ANNOUNCE] xf86-video-ati 6.14.0

is out ! :idea:
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.9.0
https://github.com/kernelOfTruth/pulseaudio-equalizer-ladspa

Hardcore Gentoo Linux user since 2004 :D
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 6108
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Tue Feb 15, 2011 4:03 pm    Post subject: Reply with quote

aww man - s3tc library for r600 gallium 3d :D

R600 Gallium3D Driver Now Supports S3TC Library
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.9.0
https://github.com/kernelOfTruth/pulseaudio-equalizer-ladspa

Hardcore Gentoo Linux user since 2004 :D
Back to top
View user's profile Send private message
DaggyStyle
Watchman
Watchman


Joined: 22 Mar 2006
Posts: 5339

PostPosted: Tue Feb 15, 2011 5:12 pm    Post subject: Reply with quote

does anyone knows how to apply it or modify the ebuild?
also, how can I enable composition on vmware-player?
_________________
Only two things are infinite, the universe and human stupidity and I'm not sure about the former - Albert Einstein
Back to top
View user's profile Send private message
depontius
Advocate
Advocate


Joined: 05 May 2004
Posts: 3383

PostPosted: Tue Feb 15, 2011 7:00 pm    Post subject: Reply with quote

Along this line, I see that I just upgraded to xf86-video-ati-6.14.0. Looking at the other pointer about bright shiny mesa-7.11 I see that with a single "~amd64" I can at least get to mesa-7.10-r1. The Gentoo Changelog is more concerned with how Gentoo is responding to upstream. Is there someplace that can simply tell me what 7.10 buys over 7.9, and what 7.11 would buy beyond that?
_________________
.sigs waste space and bandwidth
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 6108
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Tue Feb 15, 2011 7:45 pm    Post subject: Reply with quote

depontius wrote:
Along this line, I see that I just upgraded to xf86-video-ati-6.14.0. Looking at the other pointer about bright shiny mesa-7.11 I see that with a single "~amd64" I can at least get to mesa-7.10-r1. The Gentoo Changelog is more concerned with how Gentoo is responding to upstream. Is there someplace that can simply tell me what 7.10 buys over 7.9, and what 7.11 would buy beyond that?


yes, best source is upstream:

git ! :idea:
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.9.0
https://github.com/kernelOfTruth/pulseaudio-equalizer-ladspa

Hardcore Gentoo Linux user since 2004 :D
Back to top
View user's profile Send private message
DaggyStyle
Watchman
Watchman


Joined: 22 Mar 2006
Posts: 5339

PostPosted: Tue Feb 15, 2011 8:54 pm    Post subject: Reply with quote

DaggyStyle wrote:
does anyone knows how to apply it or modify the ebuild?
also, how can I enable composition on vmware-player?

here we go: get this ebuild https://bugs.gentoo.org/65607
use this modified mesa ebuild:
Code:

# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=4

EGIT_REPO_URI="git://anongit.freedesktop.org/mesa/mesa"

if [[ ${PV} = 9999* ]]; then
        GIT_ECLASS="git"
        EXPERIMENTAL="true"
fi

inherit base autotools multilib flag-o-matic toolchain-funcs ${GIT_ECLASS}

OPENGL_DIR="xorg-x11"

MY_PN="${PN/m/M}"
MY_P="${MY_PN}-${PV/_/-}"
MY_SRC_P="${MY_PN}Lib-${PV/_/-}"

FOLDER="${PV/_rc*/}"
[[ ${PV/_rc*/} == ${PV} ]] || FOLDER+="/RC"

DESCRIPTION="OpenGL-like graphic library for Linux"
HOMEPAGE="http://mesa3d.sourceforge.net/"

#SRC_PATCHES="mirror://gentoo/${P}-gentoo-patches-01.tar.bz2"
if [[ $PV = 9999* ]]; then
        SRC_URI="${SRC_PATCHES}"
else
        SRC_URI="ftp://ftp.freedesktop.org/pub/mesa/${FOLDER}/${MY_SRC_P}.tar.bz2
                ${SRC_PATCHES}"
fi

LICENSE="LGPL-2 kilgard"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~x86-fbsd"

INTEL_CARDS="i810 i915 i965 intel"
RADEON_CARDS="r100 r200 r300 r600 radeon"
VIDEO_CARDS="${INTEL_CARDS} ${RADEON_CARDS} mach64 mga nouveau r128 savage sis vmware tdfx via"
for card in ${VIDEO_CARDS}; do
        IUSE_VIDEO_CARDS+=" video_cards_${card}"
done

IUSE="${IUSE_VIDEO_CARDS}
        +classic d3d debug +gallium gles llvm motif +nptl pic selinux s3tc kernel_FreeBSD"

LIBDRM_DEPSTRING=">=x11-libs/libdrm-2.4.24"
# keep correct libdrm and dri2proto dep
# keep blocks in rdepend for binpkg
RDEPEND="
        !<x11-base/xorg-server-1.7
        !<=x11-proto/xf86driproto-2.0.3
        >=app-admin/eselect-mesa-0.0.3
        >=app-admin/eselect-opengl-1.1.1-r2
        dev-libs/expat
        dev-libs/libxml2[python]
        sys-libs/talloc
        x11-libs/libICE
        >=x11-libs/libX11-1.3.99.901
        x11-libs/libXdamage
        x11-libs/libXext
        x11-libs/libXi
        x11-libs/libXmu
        x11-libs/libXxf86vm
        d3d? ( app-emulation/wine )
        motif? ( x11-libs/openmotif )
        gallium? (
                llvm? (
                        amd64? ( dev-libs/udis86 )
                        x86? ( dev-libs/udis86 )
                        x86-fbsd? ( dev-libs/udis86 )
                        sys-devel/llvm
                )
        )
        ${LIBDRM_DEPSTRING}[video_cards_nouveau?,video_cards_vmware?]
        s3tc? ( dev-libs/libtxc_dxtn )
"
for card in ${INTEL_CARDS}; do
        RDEPEND="${RDEPEND}
                video_cards_${card}? ( ${LIBDRM_DEPSTRING}[video_cards_intel] )
        "
done

for card in ${RADEON_CARDS}; do
        RDEPEND="${RDEPEND}
                video_cards_${card}? ( ${LIBDRM_DEPSTRING}[video_cards_radeon] )
        "
done

DEPEND="${RDEPEND}
        dev-util/pkgconfig
        x11-misc/makedepend
        >=x11-proto/dri2proto-2.2
        >=x11-proto/glproto-1.4.11
        x11-proto/inputproto
        >=x11-proto/xextproto-7.0.99.1
        x11-proto/xf86driproto
        x11-proto/xf86vidmodeproto
"

S="${WORKDIR}/${MY_P}"

# It is slow without texrels, if someone wants slow
# mesa without texrels +pic use is worth the shot
QA_EXECSTACK="usr/lib*/opengl/xorg-x11/lib/libGL.so*"
QA_WX_LOAD="usr/lib*/opengl/xorg-x11/lib/libGL.so*"

# Think about: ggi, fbcon, no-X configs

pkg_setup() {
        # gcc 4.2 has buggy ivopts
        if [[ $(gcc-version) = "4.2" ]]; then
                append-flags -fno-ivopts
        fi

        # recommended by upstream
        append-flags -ffast-math
}

src_unpack() {
        [[ $PV = 9999* ]] && git_src_unpack || base_src_unpack
}

src_prepare() {
        if use s3tc && use !video_cards_r600; then
                eerror "you must select the s3tc flag with r600 enable, please decide that you want and reemerge."
        fi
        # apply patches
        if [[ ${PV} != 9999* && -n ${SRC_PATCHES} ]]; then
                EPATCH_FORCE="yes" \
                EPATCH_SOURCE="${WORKDIR}/patches" \
                EPATCH_SUFFIX="patch" \
                epatch
        fi
        # FreeBSD 6.* doesn't have posix_memalign().
        if [[ ${CHOST} == *-freebsd6.* ]]; then
                sed -i \
                        -e "s/-DHAVE_POSIX_MEMALIGN//" \
                        configure.ac || die
        fi

        # In order for mesa to complete it's build process we need to use a tool
        # that it compiles. When we cross compile this clearly does not work
        # so we require mesa to be built on the host system first. -solar
        if tc-is-cross-compiler; then
                sed -i -e "s#^GLSL_CL = .*\$#GLSL_CL = glsl_compiler#g" \
                        "${S}"/src/mesa/shader/slang/library/Makefile || die
        fi

        [[ $PV = 9999* ]] && git_src_prepare
        base_src_prepare

        eautoreconf
}

src_configure() {
        local myconf

        if use classic; then
        # Configurable DRI drivers
                driver_enable swrast

        # Intel code
                driver_enable video_cards_i810 i810
                driver_enable video_cards_i915 i915
                driver_enable video_cards_i965 i965
                        if ! use video_cards_i810 && \
                                ! use video_cards_i915 && \
                                ! use video_cards_i965; then
                        driver_enable video_cards_intel i810 i915 i965
                fi

                # Nouveau code
                driver_enable video_cards_nouveau nouveau

                # ATI code
                driver_enable video_cards_mach64 mach64
                driver_enable video_cards_mga mga
                driver_enable video_cards_r128 r128

                driver_enable video_cards_r100 radeon
                driver_enable video_cards_r200 r200
                driver_enable video_cards_r300 r300
                driver_enable video_cards_r600 r600
                if ! use video_cards_r100 && \
                                ! use video_cards_r200 && \
                                ! use video_cards_r300 && \
                                ! use video_cards_r600; then
                        driver_enable video_cards_radeon radeon r200 r300 r600
                fi

                driver_enable video_cards_savage savage
                driver_enable video_cards_sis sis
                driver_enable video_cards_tdfx tdfx
                driver_enable video_cards_via unichrome
        fi

        myconf="${myconf} $(use_enable gallium)"
        if use !gallium && use !classic; then
                ewarn "You enabled neither classic nor gallium USE flags. No hardware"
                ewarn "drivers will be built."
        fi
        if use gallium; then
                elog "You have enabled gallium infrastructure."
                elog "This infrastructure currently support these drivers:"
                elog "    Intel: works only i915 and i965 somehow."
                elog "    LLVMpipe: Software renderer."
                elog "    Nouveau: Support for nVidia NV30 and later cards."
                elog "    Radeon: Newest implementation of r300-r700 driver."
                elog "    Svga: VMWare Virtual GPU driver."
                echo
                myconf="${myconf}
                        --with-state-trackers=glx,dri,egl,vega$(use d3d && echo ",d3d1x")
                        $(use_enable llvm gallium-llvm)
                        $(use_enable gles gles1)
                        $(use_enable gles gles2)
                        $(use_enable gles gles-overlay)
                        $(use_enable video_cards_vmware gallium-svga)
                        $(use_enable video_cards_nouveau gallium-nouveau)"
                if use video_cards_i915 || \
                                use video_cards_intel; then
                        myconf="${myconf} --enable-gallium-i915"
                else
                        myconf="${myconf} --disable-gallium-i915"
                fi
                if use video_cards_i965 || \
                                use video_cards_intel; then
                        myconf="${myconf} --enable-gallium-i965"
                else
                        myconf="${myconf} --disable-gallium-i965"
                fi
                if use video_cards_r300 || \
                                use video_cards_radeon; then
                        myconf="${myconf} --enable-gallium-radeon"
                else
                        myconf="${myconf} --disable-gallium-radeon"
                fi
                if use video_cards_r600 || \
                                use video_cards_radeon; then
                        myconf="${myconf} --enable-gallium-r600"
                else
                        myconf="${myconf} --disable-gallium-r600"
                fi
        else
                if use video_cards_nouveau || use video_cards_vmware; then
                        elog "SVGA and nouveau drivers are available only via gallium interface."
                        elog "Enable gallium useflag if you want to use them."
                fi
        fi

        # --with-driver=dri|xlib|osmesa || do we need osmesa?
        econf \
                --disable-option-checking \
                --with-driver=dri \
                --disable-glut \
                --without-demos \
                --enable-xcb \
                $(use_enable debug) \
                $(use_enable motif glw) \
                $(use_enable motif) \
                $(use_enable nptl glx-tls) \
                $(use_enable !pic asm) \
                --with-dri-drivers=${DRI_DRIVERS} \
                ${myconf}
}

src_install() {
        base_src_install

        # Save the glsl-compiler for later use
        if ! tc-is-cross-compiler; then
                dobin "${S}"/src/glsl/glsl_compiler || die
        fi
        # Remove redundant headers
        # GLUT thing
        rm -f "${D}"/usr/include/GL/glut*.h || die "Removing glut include failed."
        # Glew includes
        rm -f "${D}"/usr/include/GL/{glew,glxew,wglew}.h \
                || die "Removing glew includes failed."

        # Install config file for eselect mesa
        insinto /usr/share/mesa
        newins "${FILESDIR}/eselect-mesa.conf.7.10" eselect-mesa.conf || die

        # Move libGL and others from /usr/lib to /usr/lib/opengl/blah/lib
        # because user can eselect desired GL provider.
        ebegin "Moving libGL and friends for dynamic switching"
                dodir /usr/$(get_libdir)/opengl/${OPENGL_DIR}/{lib,extensions,include}
                local x
                for x in "${D}"/usr/$(get_libdir)/libGL.{la,a,so*}; do
                        if [ -f ${x} -o -L ${x} ]; then
                                mv -f "${x}" "${D}"/usr/$(get_libdir)/opengl/${OPENGL_DIR}/lib \
                                        || die "Failed to move ${x}"
                        fi
                done
                for x in "${D}"/usr/include/GL/{gl.h,glx.h,glext.h,glxext.h}; do
                        if [ -f ${x} -o -L ${x} ]; then
                                mv -f "${x}" "${D}"/usr/$(get_libdir)/opengl/${OPENGL_DIR}/include \
                                        || die "Failed to move ${x}"
                        fi
                done
        eend $?

        if use classic || use gallium; then
                ebegin "Moving DRI/Gallium drivers for dynamic switching"
                        local gallium_drivers=( i915_dri.so i965_dri.so r300_dri.so r600_dri.so swrast_dri.so )
                        dodir /usr/$(get_libdir)/mesa
                        for x in ${gallium_drivers[@]}; do
                                if [ -f "${S}/$(get_libdir)/gallium/${x}" ]; then
                                        mv -f "${D}/usr/$(get_libdir)/dri/${x}" "${D}/usr/$(get_libdir)/dri/${x/_dri.so/g_dri.so}" \
                                                || die "Failed to move ${x}"
                                        insinto "/usr/$(get_libdir)/dri/"
                                        if [ -f "${S}/$(get_libdir)/${x}" ]; then
                                                insopts -m0755
                                                doins "${S}/$(get_libdir)/${x}" || die "failed to install ${x}"
                                        fi
                                fi
                        done
                        for x in "${D}"/usr/$(get_libdir)/dri/*.so; do
                                if [ -f ${x} -o -L ${x} ]; then
                                        mv -f "${x}" "${x/dri/mesa}" \
                                                || die "Failed to move ${x}"
                                fi
                        done
                        pushd "${D}"/usr/$(get_libdir)/dri || die "pushd failed"
                        ln -s ../mesa/*.so . || die "Creating symlink failed"
                        # remove symlinks to drivers known to eselect
                        for x in ${gallium_drivers[@]}; do
                                if [ -f ${x} -o -L ${x} ]; then
                                        rm "${x}" || die "Failed to remove ${x}"
                                fi
                        done
                        popd
                eend $?
        fi
}

pkg_postinst() {
        # Switch to the xorg implementation.
        echo
        eselect opengl set --use-old ${OPENGL_DIR}
        # Select classic/gallium drivers
        eselect mesa set --auto
        if use s3tc; then
                elog "s3tc flag enabled, updating /etc/env.d/99local if needed"
                if [[ ! -f /etc/env.d/99local || -z "$(cat /etc/env.d/99local | grep R600_ENABLE_S3TC=1)" ]]; then
                        echo "R600_ENABLE_S3TC=1" >> /etc/env.d/99local;
                fi
        fi
}

# $1 - VIDEO_CARDS flag
# other args - names of DRI drivers to enable
driver_enable() {
        case $# in
                # for enabling unconditionally
                1)
                        DRI_DRIVERS+=",$1"
                        ;;
                *)
                        if use $1; then
                                shift
                                for i in $@; do
                                        DRI_DRIVERS+=",${i}"
                                done
                        fi
                        ;;
        esac
}

enable the s3tc flag and emerge, restart xdm and thats it.

thanks to https://bugs.gentoo.org/show_bug.cgi?id=65607#c24

btw, how can I enable the 3d composition in vmware-player?
_________________
Only two things are infinite, the universe and human stupidity and I'm not sure about the former - Albert Einstein
Back to top
View user's profile Send private message
loopx
Advocate
Advocate


Joined: 01 Apr 2005
Posts: 2787
Location: Belgium / Liège

PostPosted: Tue Feb 15, 2011 10:02 pm    Post subject: Reply with quote

pingufunkybeat wrote:
I now get stable 60 fps (locked to refresh rate) on all maps in OpenArena at 1920x1080 on my low-end HD4550.

I'm really happy about that :)


I just installed both 3 packages version 9999 and see much more speed. Are you using Gallium3D (eselect r600) ?

I can't run Nexuiz with good speed, from 20 to 40-50 fps now on 1280x1024 (medium effect!) ... don't know why : should not it be better ?
_________________
Mon MediaWiki perso : http://pix-mania.dyndns.org
Back to top
View user's profile Send private message
pingufunkybeat
l33t
l33t


Joined: 01 Dec 2004
Posts: 610

PostPosted: Tue Feb 15, 2011 10:04 pm    Post subject: Reply with quote

You can't get more than 60Hz if it's locked to refresh rate. :)
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3 ... 23, 24, 25 ... 27, 28, 29  Next
Page 24 of 29

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum